<?xml version="1.0" encoding="utf-8"?>
<Project Sdk="Dalamud.NET.Sdk/14.0.1">
  <PropertyGroup>
    <Authors></Authors>
    <Company></Company>
    <Version>2.0.1</Version>
    <Description></Description>
    <Copyright></Copyright>
    <PackageProjectUrl>https://github.com/Light-Public-Syncshells/LightlessClient</PackageProjectUrl>
  </PropertyGroup>

  <PropertyGroup>
    <TargetFramework>net10.0-windows7.0</TargetFramework>
    <Platforms>x64</Platforms>
    <Nullable>enable</Nullable>
    <LangVersion>latest</LangVersion>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <ProduceReferenceAssembly>false</ProduceReferenceAssembly>
    <AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
    <CopyLocalLockfileAssemblies>true</CopyLocalLockfileAssemblies>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="PlayerData\Export\**" />
    <EmbeddedResource Remove="PlayerData\Export\**" />
    <None Remove="PlayerData\Export\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Blake3" Version="2.0.0" />
    <PackageReference Include="Brio.API" Version="3.0.1" />
    <PackageReference Include="Downloader" Version="4.0.3" />
    <PackageReference Include="K4os.Compression.LZ4.Legacy" Version="1.3.8" />
    <PackageReference Include="Meziantou.Analyzer" Version="2.0.264">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.AspNetCore.SignalR.Client" Version="10.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR.Protocols.MessagePack" Version="10.0.1" />
    <PackageReference Include="Microsoft.Extensions.Hosting" Version="10.0.1" />
    <PackageReference Include="Glamourer.Api" Version="2.8.0" />
    <PackageReference Include="NReco.Logging.File" Version="1.3.1" />
    <PackageReference Include="SixLabors.ImageSharp" Version="3.1.12" />
    <PackageReference Include="SonarAnalyzer.CSharp" Version="10.17.0.131074">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.15.0" />
    <PackageReference Include="YamlDotNet" Version="16.3.0" />
  </ItemGroup>

  <PropertyGroup>
    <SourceRevisionId>build$([System.DateTime]::UtcNow.ToString("yyyy-MM-ddTHH:mm:ss:fffZ"))</SourceRevisionId>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <Reference Include="CheapLoc">
      <HintPath>$(DalamudLibPath)CheapLoc.dll</HintPath>
      <Private>false</Private>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <None Update="images\icon.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <EmbeddedResource Include="Changelog\changelog.yaml" />
    <EmbeddedResource Include="Changelog\credits.yaml" />
    <EmbeddedResource Include="Localization\de.json" />
    <EmbeddedResource Include="Localization\fr.json" />
  </ItemGroup>

  <ItemGroup>
    <None Include="..\.editorconfig" Link=".editorconfig" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\LightlessAPI\LightlessSyncAPI\LightlessSync.API.csproj" />
    <ProjectReference Include="..\Penumbra.Api\Penumbra.Api.csproj" />
    <ProjectReference Include="..\Penumbra.GameData\Penumbra.GameData.csproj" />
    <ProjectReference Include="..\Penumbra.String\Penumbra.String.csproj" />
    <ProjectReference Include="..\ffxiv_pictomancy\Pictomancy\Pictomancy.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="OtterTex">
      <HintPath>lib\OtterTex.dll</HintPath>
      <Private>true</Private>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <None Include="lib\DirectXTexC.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <TargetPath>DirectXTexC.dll</TargetPath>
    </None>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Update="DalamudPackager" Version="14.0.1" />
  </ItemGroup>
	
</Project>
